Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227757 - kicad: $RPM_OPT_FLAGS not used, explicit strip
Summary: kicad: $RPM_OPT_FLAGS not used, explicit strip
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kicad
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alain Portal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-07 22:37 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-08 12:29:12 UTC


Attachments (Terms of Use)
Use $RPM_OPT_FLAGS, remove -s from LDFLAGS (deleted)
2007-02-07 22:37 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2007-02-07 22:37:21 UTC
http://www.redhat.com/archives/fedora-maintainers/2007-January/msg00339.html

kicad is built without $RPM_OPT_FLAGS and -s in LDFLAGS, resulting in no
compiler security features and useless debuginfo.  Fix attached.

Comment 1 Ville Skyttä 2007-02-07 22:37:21 UTC
Created attachment 147608 [details]
Use $RPM_OPT_FLAGS, remove -s from LDFLAGS

Comment 2 Alain Portal 2007-02-08 12:29:12 UTC
Thanks for pointing the problem, and thanks for the patch ;-)
Fixed.


Note You need to log in before you can comment on or make changes to this bug.